package com.platform.utils;

import java.util.HashMap;
import java.util.Map;
import java.util.Set;

import com.platform.entities.CheckoutEntity;

/** 存储 进行校验的 oracle服务
 * @author chen
 *
 */
public class CacheOracleCheckoutEntity {
	
	/**
	 * 正则校验的 oracle
	 */
	private static Map<String, CheckoutEntity> checkMap = new HashMap<String, CheckoutEntity>();
	
	/**
	 *  正则抽取的 oracle--(暂未使用该变量)
	 */
	private static Map<String, CheckoutEntity> extractStandardMap = new HashMap<String, CheckoutEntity>();

	/**
	 * @return the checkMap
	 */
	public static Set<String> getCheckKeys() {
		return checkMap.keySet();
	}

	/**
	 * @param checkMap the checkMap to set
	 */
	public static CheckoutEntity putCheck(String key, CheckoutEntity data) {
		return checkMap.put(key, data);
	}
	
	public static CheckoutEntity getCheck(String key){
		return checkMap.get(key);
	}
	
	public static CheckoutEntity checkRemove(String key){
		return checkMap.remove(key);
	}
	
	/**
	 * @return the extractStandardMap
	 */
	public static Set<String> getExtractKeys() {
		return extractStandardMap.keySet();
	}

	/**
	 * @param extractStandardMap the extractStandardMap to set
	 */
	public static CheckoutEntity putExtract(String key, CheckoutEntity data) {
		return extractStandardMap.put(key, data);
	}
	
	public static CheckoutEntity getExtract(String key){
		return extractStandardMap.get(key);
	}
	
	public static CheckoutEntity extractRemove(String key){
		return extractStandardMap.remove(key);
	}

}
